namespace _dali.pages
{
	
	/**
	 */
	lib_plankton.zoo_page.register(
		"logout",
		async (parameters, target_element) => {
			target_element.innerHTML = "";
			try
			{
				await _dali.backend.session_end(
				);
			}
			catch (error)
			{
				lib_plankton.log.notice(
					"dali.logout_failed",
					{
						"details": String(error),
					}
				);
			}
			lib_plankton.zoo_page.nav_set_groups(["logged_out"]);
			lib_plankton.zoo_page.set(
				{
					"name": "overview",
					"parameters": {
					}
				}
			);
			return Promise.resolve<void>(undefined);
		}
	);

}
